- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Properties | Friends

# QSwipeGesture Class Reference

Search for all occurrences

## Detailed Description

Definition at line 207 of file qgesture.h.

`#include <qgesture.h>`

Inheritance diagram for QSwipeGesture:
[legend]

List of all members.

## Public Types
enum | SwipeDirection { NoDirection, Left, Right, Up, Down }
## Public Member Functions
| QSwipeGesture (QObject *parent=0)
SwipeDirection | horizontalDirection () const
SwipeDirection | verticalDirection () const
qreal | swipeAngle () const
void | setSwipeAngle (qreal value)
## Properties
SwipeDirection | horizontalDirection
SwipeDirection | verticalDirection
qreal | swipeAngle
## Friends
class | QSwipeGestureRecognizer

## Member Enumeration Documentation

enum SwipeDirection

Search for all occurrences

Enumerator:

  NoDirection | Search for all occurrences
  Left | Search for all occurrences
  Right | Search for all occurrences
  Up | Search for all occurrences
  Down | Search for all occurrences

Definition at line 219 of file qgesture.h.

    { NoDirection, Left, Right, Up, Down };

## Constructor & Destructor Documentation

QSwipeGesture | ( | QObject * | parent = `0` | ) |

## Member Function Documentation

SwipeDirection horizontalDirection | ( |  | ) | const

Search for all occurrences

SwipeDirection verticalDirection | ( |  | ) | const

Search for all occurrences

qreal swipeAngle | ( |  | ) | const

Search for all occurrences

void setSwipeAngle | ( | qreal | value | ) |

Search for all occurrences

## Friends And Related Function Documentation

friend class QSwipeGestureRecognizer `[friend]`

Search for all occurrences

Definition at line 228 of file qgesture.h.

## Property Documentation

SwipeDirection horizontalDirection `[read]`

Search for all occurrences

Definition at line 213 of file qgesture.h.

SwipeDirection verticalDirection `[read]`

Search for all occurrences

Definition at line 214 of file qgesture.h.

qreal swipeAngle `[read, write]`

Search for all occurrences

Definition at line 215 of file qgesture.h.

The documentation for this class was generated from the following file:

- QtGui/qgesture.h

QSwipeGesture QSwipeGesture QSwipeGesture QSwipeGesture QSwipeGesture QSwipeGesture QSwipeGesture QSwipeGesture QSwipeGesture QSwipeGesture
QSwipeGesture QSwipeGesture QSwipeGesture QSwipeGesture QSwipeGesture QSwipeGesture QSwipeGesture QSwipeGesture QSwipeGesture QSwipeGesture